<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg merge</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-merge">
<span id="hg-merge-1"></span>
<h1 class="title">hg merge</h1>
<h2 class="subtitle" id="merge-another-revision-into-working-directory">merge another revision into working directory</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg merge [-P] [[-r] REV]
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>The current working directory is updated with all changes made in
the requested revision since the last common predecessor revision.</p>
<p>Files that changed between either parent are marked as changed for
the next commit and a commit must be performed before any further
updates to the repository are allowed. The next commit will have
two parents.</p>
<p><tt class="docutils literal"><span class="pre">--tool</span></tt> can be used to specify the merge tool used for file
merges. It overrides the HGMERGE environment variable and your
configuration files. See <a class="reference external" href="topic-merge-tools.html"><tt class="docutils literal">hg help <span class="pre">merge-tools</span></tt></a> for options.</p>
<p>If no revision is specified, the working directory's parent is a
head revision, and the current branch contains exactly one other
head, the other head is merged with by default. Otherwise, an
explicit revision with which to merge must be provided.</p>
<p>See <a class="reference external" href="hg-resolve.html"><tt class="docutils literal">hg help resolve</tt></a> for information on handling file conflicts.</p>
<p>To undo an uncommitted merge, use <a class="reference external" href="hg-merge.html"><tt class="docutils literal">hg merge <span class="pre">--abort</span></tt></a> which
will check out a clean copy of the original merge parent, losing
all changes.</p>
<p>Returns 0 on success, 1 if there are unresolved files.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>force a merge including outstanding changes (DEPRECATED)</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>revision to merge</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-P</span>, <span class="option">--preview</span></kbd></td>
<td>review revisions to merge (no merge is performed)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--abort</span></kbd></td>
<td>abort the ongoing merge</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-t</span>, <span class="option">--tool <var>&lt;TOOL&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>specify merge tool</td></tr>
</tbody>
</table>
</div>
</div>
</body>
</html>
